libthai0_0.1.28-2_i386.deb


Advertisement

Description

libthai0 - Thai language support library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libthai0_0.1.28-2_i386.deb
Package name libthai0
Package version 0.1.28
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://linux.thai.net/projects/libthai
License -
Maintainer Theppitak Karoonboonyanan <thep@debian.org>
Download size 53.92 KB
Installed size 98.00 KB
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.
This package contains the shared libraries needed to run programs that use
the LibThai library.

Alternatives

Package Version Architecture Repository
libthai0_0.1.28-2_amd64.deb 0.1.28 amd64 Debian Main
libthai0 - - -

Requires

Name Value
libc6 >= 2.4
libdatrie1 >= 0.2.0
libthai-data >= 0.1.10

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libthai0_0.1.28-2_i386.deb
Source Package libthai

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libthai0 deb package:
    # sudo apt-get install libthai0

Files

Path
/usr/lib/i386-linux-gnu/libthai.so.0
/usr/lib/i386-linux-gnu/libthai.so.0.3.1
/usr/share/doc/libthai0/changelog.Debian.gz
/usr/share/doc/libthai0/changelog.gz
/usr/share/doc/libthai0/copyright

Changelog

2019-02-02 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.28-2) unstable; urgency=medium
[ Ondřej Nový ]
* d/changelog: Remove trailing whitespaces
[ Theppitak Karoonboonyanan ]
* Drop iceweasel from libthai-doc Suggests
* Switch to dh level 12
- d/control: B-Dep on debhelper-compat (= 12) instead of debhelper
- d/compat: Removed
* d/copyright: Update years on packaging
* Bump Standards-Version to 4.3.0 (no changes)
* d/gbp.conf: Added, following DEP-14
2018-08-01 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.28-1) unstable; urgency=medium
* Add Depends: pkg-config to libthai-dev
* New upstream version 0.1.28
* d/copyright: Update upstream years
* d/control: Add "Rules-Requires-Root: no"
The build output has been verified to be bit-by-bit identical
with and without.
* Bump Standards-Version to 4.1.5 (no further changes)
2018-02-16 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.27-2) unstable; urgency=medium
* Update Vcs fields for migration to salsa.debian.org
* Bump debhelper compat to level 11
- d/compat: 10 -> 11
- d/control: Bump debhelper version to >= 11
- d/rules, d/libthai-doc.docs, -d/libthai-doc.install:
Use dh 11 dh_installdocs to install generated doc directly
instead of using upstream install, as 'nodoc' DEB_BUILD_OPTIONS
is now supported with more concise steps.
- d/libthai-doc.docs:
Don't install NEWS et. al., to avoid conflicts with libthai0
* Bump Standards-Version to 4.1.3 (no changes)
* d/copyright: Update years
2017-10-25 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.27-1) unstable; urgency=medium
* Add autopkgtest test suite
- d/control: Add Testsuite: entry
- +d/tests/control, +d/tests/build: Add test building against libthai
* New upstream version 0.1.27
* d/control: Drop unneeded Testsuite field [lintian]
- Remove Testsite field
- Bump dpkg-dev versioned dep to 1.17.1~, as suggested by lintian
* Bump Standards-Version to 4.1.1 (no changes)
2017-07-29 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.26-3) unstable; urgency=medium
* Bump debhelper compat to level 10
- d/compat: 9 -> 10
- Bump debhelper B-Dep version to 10
- Drop dh-autoreconf B-Dep which is already pulled in by debhelper 10
* d/rules: Replace $(MAKE) with dh_auto_* to support parallel build
except dh_auto_install, as it can't reach install-am target
* d/rules: Do not generate/install doc on nodoc DEB_BUILD_OPTIONS
(Policy 4.0.0 Section 4.9.1)
* d/rules: Pass -a instead of deprecated -s to dh_*
* Update d/copyright
- Use HTTPS in Format URL
- Update years
* d/control: Use HTTPS in upstream Homepage
2017-07-09 - Loïc Minier <lool@debian.org>
libthai (0.1.26-2) unstable; urgency=medium
* Fix watch file to use https instead of ftp.
* Bump Standards-Version to 4.0.0.
* Drop myself from Uploaders.
2016-12-14 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.26-1) unstable; urgency=medium
* New upstream version 0.1.26
* Explicitly add hardening build flags to get "bindnow" [lintian]
2016-10-15 - Theppitak Karoonboonyanan <thep@debian.org>
libthai (0.1.25-2) unstable; urgency=medium
* Correctly install doc according to Policy 12.3
- Install doc under libthai0 doc dir (/usr/share/doc/libthai0),
not a separate dir without the ending "0".
* Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck.
Thanks Helmut Grohne for the report and patch. (Closes: #840812)

See Also

Package Description
libthemedsupport_1.1.15-1_i386.deb Theme-D support library
libtheora-bin_1.1.1+dfsg.1-15_i386.deb Theora Video Compression Codec (example encoder, decoder)
libtheora-dev_1.1.1+dfsg.1-15_i386.deb Theora Video Compression Codec (development files)
libtheora-doc_1.1.1+dfsg.1-15_all.deb Theora Video Compression Codec (documentation)
libtheora-ocaml-dev_0.3.1-2_i386.deb OCaml interface to the theora library
libtheora-ocaml_0.3.1-2_i386.deb OCaml interface to the theora library
libtheora0_1.1.1+dfsg.1-15_i386.deb Theora Video Compression Codec
libtheschwartz-perl_1.12-1_all.deb reliable job queue
libthread-conveyor-monitored-perl_0.14-1_all.deb module to monitor a conveyor belt for specific content
libthread-conveyor-perl_0.19-1_all.deb thread-safe conveyor belt for any data-structure
libthread-pool-dev_1.0.0-2_i386.deb C++ thread pool library (devel)
libthread-pool-perl_0.33-2_all.deb group of threads for performing similar jobs
libthread-pool-simple-perl_0.25-2_all.deb Perl implementation of a simple thread pool
libthread-pool0_1.0.0-2_i386.deb C++ thread pool library
libthread-queue-any-perl_1.14-2_all.deb module implementing thread-safe queues for any data-structure
Advertisement
Advertisement